# Class GetTradeStatisticsReply

#### Hierarchy

- unknown
  - GetTradeStatisticsReply

- Defined in src/protobuf/grpc_pb.d.ts:2328
- Defined in src/protobuf/grpc_pb.d.ts:2342

#####
Index

### Constructors

constructor

### Methods

addTradeStatistics
clearTradeStatisticsList
getTradeStatisticsList
serializeBinary
setTradeStatisticsList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetTradeStatisticsReply(): GetTradeStatisticsReply

- #### Returns GetTradeStatisticsReply

  Inherited from jspb.Message.constructor

## Methods

### addTradeStatistics

- addTradeStatistics(value?: TradeStatistics3, index?: number): TradeStatistics3

- #### Parameters

  - ##### `Optional` value: TradeStatistics3

  - ##### `Optional` index: number

  #### Returns TradeStatistics3

  - Defined in src/protobuf/grpc_pb.d.ts:2332

### clearTradeStatisticsList

- clearTradeStatisticsList(): GetTradeStatisticsReply

- #### Returns GetTradeStatisticsReply

  - Defined in src/protobuf/grpc_pb.d.ts:2331

### getTradeStatisticsList

- getTradeStatisticsList(): TradeStatistics3[]

- #### Returns TradeStatistics3[]

  - Defined in src/protobuf/grpc_pb.d.ts:2329

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2334

### setTradeStatisticsList

- setTradeStatisticsList(value: TradeStatistics3[]): GetTradeStatisticsReply

- #### Parameters

  - ##### value: TradeStatistics3[]

  #### Returns GetTradeStatisticsReply

  - Defined in src/protobuf/grpc_pb.d.ts:2330

### toObject

- toObject(includeInstance?: boolean): GetTradeStatisticsReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetTradeStatisticsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2335

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTradeStatisticsReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTradeStatisticsReply

  - Defined in src/protobuf/grpc_pb.d.ts:2338

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTradeStatisticsReply, reader: BinaryReader): GetTradeStatisticsReply

- #### Parameters

  - ##### message: GetTradeStatisticsReply

  - ##### reader: BinaryReader

  #### Returns GetTradeStatisticsReply

  - Defined in src/protobuf/grpc_pb.d.ts:2339

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTradeStatisticsReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetTradeStatisticsReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2337

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetTradeStatisticsReply): GetTradeStatisticsReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTradeStatisticsReply

  #### Returns GetTradeStatisticsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2336

Generated using TypeDoc